Package mpi

## Class Count

- java.lang.Object
- - mpi.Count

- All Implemented Interfaces:
    `java.lang.Comparable`

      public final class Count
      extends java.lang.Object
      implements java.lang.Comparable

  This class represents `MPI_Count`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Count​(long count)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(java.lang.Object obj)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `long` | `getCount()` | Gets value associated with this Count object.
    `void` | `setCount​(long count)` | Sets the value associated with this Count object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Count

          public Count​(long count)

  - ### Method Detail

    - #### getCount

          public long getCount()

      Gets value associated with this Count object.
      Returns:
        Count value

    - #### setCount

          public void setCount​(long count)

      Sets the value associated with this Count object.
      Parameters:
        `count` - the value to set for this count object

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(java.lang.Object obj)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`